<?php



class TblblogentrycommentMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogentrycommentMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogentrycommentPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogentrycommentPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogentrycomment');
		$tMap->setClassname('Tblblogentrycomment');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('CM_ID', 'CmId', 'INTEGER', true, null);

		$tMap->addForeignKey('CM_ENTRY', 'CmEntry', 'INTEGER', 'tblblogentry', 'ENTRY_ID', true, null);

		$tMap->addForeignKey('CM_USER', 'CmUser', 'INTEGER', 'tbluser', 'US_ID', true, null);

		$tMap->addColumn('CM_DATE', 'CmDate', 'TIMESTAMP', true, null);

		$tMap->addColumn('CM_CONTENT', 'CmContent', 'LONGVARCHAR', true, null);

		$tMap->addForeignKey('CM_BLOG', 'CmBlog', 'INTEGER', 'tblblog', 'BL_ID', true, null);

		$tMap->addColumn('CM_USER_INFO', 'CmUserInfo', 'VARCHAR', false, 255);

	} 
} 